Skip to main content
PUT
Update an existing paywall (admin)

Authorizations

Authorization
string
header
required

Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer .

Path Parameters

paywallId
string<uuid>
required

Body

application/json
paywallId
string<uuid>
name
string | null
price
number<double>
actionType
enum<integer>
Available options:
0,
1,
2,
3,
6
description
string | null
discountPercentage
integer<int32>
discountedPrice
number<double> | null
maxInstallments
integer<int32>
accessMonths
integer<int32> | null
removeAfterExpiration
boolean
actionPayload
string | null
allowExternalPurchase
boolean
externalCheckoutUrl
string | null
imageUrl
string | null
isActive
boolean
allowPix
boolean
allowCreditCard
boolean
allowBoleto
boolean
notifyAllAdmins
boolean
paymentMode
enum<integer>
Available options:
0,
1
billingCycle
enum<integer>
Available options:
0,
1,
3,
6,
12
trialDays
integer<int32> | null
graceDays
integer<int32>
maxBillingCycles
integer<int32> | null

Response

200

OK